<router-outlet></router-outlet>
<link rel="import" href="../../styles.css">
<div class="content">
    <h1>Lista de Usuarios</h1>
    <div>
        <a class="btn btn-success" href="crear_usuario" style="text-decoration: none;color: white;">Crear Usuarios</a>
    </div>
    <br><br>
    <table class="table">
        <thead class="thead-dark">
          <tr>
            <th scope="col">id</th>
            <th scope="col">Nombre</th>
            <th scope="col">apellido</th>
            <th scope="col">Telefono</th>
            <th scope="col">Correo</th>
            <th scope="col">Dirección</th>
            <th>Acciones</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let usuario of usuarios">
            <td>{{usuario.id}}</td>
            <td>{{usuario.nombre}}</td>
            <td>{{usuario.apellido}}</td>
            <td>{{usuario.telefono}}</td>
            <td>{{usuario.correo}}</td>
            <td>{{usuario.direccion}}</td>
            <td>
              <a  class="btn btn-warning" href="editar_usuario/{{usuario.id}}" style="text-decoration: none;color: white;">Editar Usuarios</a>
              <button (click)="eliminarUsuario(usuario.id)" class="btn btn-secondary">Eliminar</button>
            </td>
          </tr>
        </tbody>
    </table>
</div>
